Subject: Re: [RFC 1/5] GSOC: prepare svndump for branch detection

From: Jonathan Nieder <[email-masked]>
Date: Mon, 20 Aug 2012 09:45:30 -0700

Florian Achleitner wrote:

> Currently, the mark number is equal to the svn revision number the commit
> corresponds to. I didn't want to break that, but not mandatory. We could also
> split the mark namespace by reserving one or more of the most significant bits
> as a type specifier.
> I'll develop a marks-based version ..

Have we already exhausted possibilities that don't involve changing
vcs-svn/ code quite so much?  One possibility mentioned before was to
post-process the stream that svn-fe produces, which seemed appealing
from a debuggability point of view.

Curious,
Jonathan